{
  "expo": {
    "name": "TEM Receiver",
    "slug": "TriloopTem_App",
    "version": "1.0.0",
    "orientation": "portrait",
    "icon": "./assets/images/icon.png",
    "scheme": "trilooptemapp",
    "userInterfaceStyle": "automatic",
    "ios": {
      "supportsTablet": true,
      "bundleIdentifier": "com.triloop.temreceiver",
      "infoPlist": {
        "NSLocationWhenInUseUsageDescription": "用于在地图上标注测点位置",
        "NSLocationAlwaysUsageDescription": "用于野外作业时持续记录GPS轨迹"
      }
    },
    "android": {
      "package": "com.triloop.temreceiver",
      "adaptiveIcon": {
        "backgroundColor": "#ffffff",
        "foregroundImage": "./assets/images/android-icon-foreground.png",
        "backgroundImage": "./assets/images/android-icon-background.png",
        "monochromeImage": "./assets/images/android-icon-monochrome.png"
      },
      "permissions": [
        "android.permission.INTERNET",
        "android.permission.ACCESS_NETWORK_STATE",
        "android.permission.ACCESS_FINE_LOCATION",
        "android.permission.ACCESS_COARSE_LOCATION",
        "android.permission.READ_EXTERNAL_STORAGE",
        "android.permission.WRITE_EXTERNAL_STORAGE"
      ],
      "predictiveBackGestureEnabled": false
    },
    "web": {
      "bundler": "metro",
      "output": "static",
      "favicon": "./assets/images/favicon.png"
    },
    "plugins": [
      "expo-router",
      [
        "expo-splash-screen",
        {
          "image": "./assets/images/splash-icon.png",
          "resizeMode": "contain",
          "backgroundColor": "#ffffff"
        }
      ],
      "expo-sqlite",
      "expo-sharing",
      [
        "expo-location",
        {
          "locationWhenInUsePermission": "用于在地图上标注测点位置",
          "locationAlwaysPermission": "用于野外作业时持续记录GPS轨迹"
        }
      ],
      [
        "react-native-maps",
        {
          "googleMapsApiKey": ""
        }
      ]
    ],
    "experiments": {
      "typedRoutes": true
    }
  }
}
